function [l]=dblist(filein)

// PURPOSE: gives the content of a database (simple but not 
// elegant and, I presume, not efficient)
// ------------------------------------------------------------
// INPUT:
// * filein = name of the database
// ------------------------------------------------------------
// OUTPUT:
// * l = column vector containing the names of variables in the
// database
// ------------------------------------------------------------
// NOTES: this is an awful way to determine the content of a 
// database, but it works and doing more efficient and elegant 
// would imply for me too big an investment in scilab code... 
// Obviously, if you have better at hand, I take it!
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002 (not proud of it!)

grocer_l=who('local')
load(evstr(''''+filein+''''))
if exists('grocer_content','local') then
   l=grocer_content
else
   m=who('local')
   endnames=size(m,1)-size(grocer_l,1)-1
   if m(endnames) == 'grocer_l' then
      endnames=endnames-1
   end
   l=m(1:endnames-1)
end
