function [r]=cadf_d()

// an example for cadf; note that the results are not exactly 
// the same as in James Le Sage book; this is due to the use
// of the function inv by Le Sage, instead of the [q,r]
// decomposition. It is especially true for the adf tests, 
// because there is a great amont of multicollinearity
// (see the cond indexes), but it also the case for the cadf
// test (where is the multicollinearity at the first stage
// see it by executing "r=cadf_d();" and then 
// "prtuniv(r('cointrel'))"

load('SCI/macros/grocer/db/datajpl.dat')
adf('illinos',0,6)
adf('indiana',0,6)
cte=ones(size(illinos,1),1)
r=cadf(0,6,'illinos','indiana')
//r=phillips('illinos','indiana','cte')