function dfbeta_d()

// PURPOSE: demo of dfbeta(), plt_dfb()
//         influential observations diagnostics
//          from Belsley, Kuh and Welsch (1980)
//          REGRESSION DIAGNOSTICS
//---------------------------------------------------
// USAGE: dbeta_d
//---------------------------------------------------

// generate data set
n = 100;
k = 6;
x = grand(n,k,'nor',0,1);
x(:,1) = ones(n,1);
x(:,3) = x(:,2) + grand(n,1,'nor',0,1)*0.05;

bet = ones(k,1);

y = x*bet + grand(n,1,'nor',0,1);

// now add a few outliers
y(50,1) = 10.0;
y(70,1) = -10.0;

result = dfbeta('y','x');

