function [bhat]=ols0(y,x)

// PURPOSE: the most basic least-squares regression: provides
// only bhat
// ------------------------------------------------------------
// INPUT:
// * y = dependent variable vector (nobs x 1)
// * x = independent variables matrix (nobs x nvar)
// ------------------------------------------------------------
// OUTPUT: 
// beta =bhat
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// ols1(), ols2()
// ------------------------------------------------------------
// Copyright: Eric Dubois 

bhat = invxpx(x)*(x'*y)
