function [r]=tobit_d()
// PURPOSE: An example using tobit()
//                           prt()
//  Tobit (censored) regression                           
//---------------------------------------------------
// USAGE: tobit_d
//---------------------------------------------------
 
// generate uncensored data
// generate uncensored data
n = 200;
k = 5;
rand('seed',20201,'n');
x = rand(n,k,'n');
bet = ones(k,1);
y = x*bet+rand(n,1,'n');
// now censor the data
for i = 1:n
  if y(i,1)<0 then
    y(i,1) = 0;
  end
end

// an example which provide only the results without
// printing them
r = tobit('y','x','noprint');

// an example with y and x between quotes: the endogenous
// variable is printed as y and the exogenous ones as
// x_1,x_2,x_3,x_4,x_5
// options hess and maxit are also given
// reults are not kept
tobit('y','x','hess=dfp','maxit=1000');
 
