function ts=%ts_p_s(ts,const)

// PURPOSE: operates the exponentiation of a timeseries;
// the overloading capability of scilab allows then one to
// write ts2^p to do the exponentiation
// ------------------------------------------------------------
// INPUT:
// * ts = a time series
// * const = a real constant
// ------------------------------------------------------------
// OUTPUT:
// * ts = the exponentiated time series
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois 

ts('series')=ts('series').^const
