function ts=lagts(varargin)

// PURPOSE: Computes x(t-n) for a timeseries x(t)
// ------------------------------------------------------------
// INPUT:
// * first argument = the oder of differenciation (optional, 
// set to 1 if not provided) 
// * last argument (which can be the first !) = a time series
// ------------------------------------------------------------
// OUTPUT:
// * ts = the lagged time series
// ------------------------------------------------------------
// NOTE: very simple indeed !
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

nargin=length(varargin)
ts=varargin(nargin)
if nargin == 1 then
   ts('dates')=ts('dates')+1
else   
   ts('dates')=ts('dates')+varargin(1)
end

