function dat=num2date(num,f)

// PURPOSE: transform a date in numerical presentation into
// its string format
// ------------------------------------------------------------
// INPUT:
// * num = a date in numerical presentation
// * f = dates frequency (in constant format)
// ------------------------------------------------------------
// OUTPUT:
// * dat = a date in string format
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

if f == 1 then
   dat=string(num)+'a'
else
   an=floor((num-1)/f)
   if f == 4 | f == 12 then
      dat=string(an)+freq2car(f)+string(num-f*an)
   else 
      dat=string(an)+'f'+string(f)+'d'+string(num-f*an)
   end
end   
