.TH exploeqs 1 "" "GROCER" "MULTI Function"
.SH NAME
exploeqs - Transformation of 2sls or 3sls equations
.SH CALLING SEQUENCE
.nf
[xall,lx1,ly1,endoeq,nameinst,lindx1,lindy1]=exploeqs(neqs,lexo,endo,z,namez)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

neqs = # of equations
.TP5
lexo = list of independent variables in each equation
.TP5
endo = list of dependent variables in each equation
.TP5
z = matrix of values of the dependent variables
.TP5
namez = matrix of names of the dependent variables
.SH OUTPUT:
.TP5
xall = matrix of the values of the instruments
.TP5
lx1 = list of the exogenous variables for each equation
.TP5
ly1 = list of the endogenous variables for each equation
.TP5
endoeq = list of he names of the endogenous variables for each equation
.TP5
nameinst = matrix of the names of the instruments
.TP5
lindx1 = list of the indexes of exogenous variables for each equation
.TP5
lindy1 = list of the indexes of endogenous variables for each equation
.SH DESCRIPTION
Retrieves from the equations the list of endogenous, exogenous and instruments for a Two-Stage or Three-Stage
Least-squares Regression.
.SH EXAMPLE
.nf
[xall,lx1,ly1,endoeq,nameinst,lindx1,lindy1]=exploeqs(grocer_neqs,grocer_lexo,grocer_endo,grocer_z,grocer_namez)

This examples is taken from twosls.

.fi
.SH AUTHOR
Eric Dubois 2002
