function m=varcov0(z)

// PURPOSE: calculate the variance-covariance matrix of z
// columns
// ------------------------------------------------------------
// INPUT:
// z = a (nxk) matrix
// ------------------------------------------------------------
// OUTPUT: 
// m = the (kxk) variance-covariance
// ------------------------------------------------------------
// Copyright Eric Dubois 2002

m=z'*z/(size(z,1)-1)
