function [rarch]=arch_d()

// PURPOSE: demo of arch() test for ARCH(p)
// 
//---------------------------------------------------
// USAGE: arch_d()
//---------------------------------------------------
 
// generate heteroscedastic regression model
nobs = 100;
nvar = 3;
x = rand(nobs,nvar,'n');
b = ones(nvar,1);
tt = 1:nobs;
tt = tt';

y = x*b+rand(nobs,1,'n') .* tt;
tt=sqrt(autocum(4*ones(1,100),0.95)').*rand(nobs,1,'n')
y = x*b+ tt;
 
// do regression

result = ols('y','x');
rarch = archz(result,2)
 
// call arch() function using ols residuals
// and a vector of orders 1,2
