function [x]=beta(a,b)

// PURPOSE: computes the beta function for vectors a and b 
// ------------------------------------------------------------
// INPUT:
// * a = a vector
// * b = a vector with the same size
// ------------------------------------------------------------
// OUTPUT: 
// x=beta(a,b)   
// ------------------------------------------------------------
// Copyright: Eric Dubois
 
[nargout,nargin] = argn(0)
if nargin~=2 then
  error('Wrong # of arguments to beta');
end
 
x=gamma(a).*gamma(b)./gamma(a+b)
