function []=printmat(mat,out);

// PURPOSE: prints a matrix with aligned columns
// ------------------------------------------------------------
// INPUT:
// * mat = the matrix to print
// * out = the symobolic name of the file where the 
//              results are printed 
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the specified file
// ------------------------------------------------------------
// NOTES:
// * used by the following functions:
// prtuniv(),kpss()
// ------------------------------------------------------------
// Copyright: INRIA/Eric Dubois 2002
 
L=max(length(mat),'r') ;
t=emptystr(size(mat,1),1) ;
for k=1:size(mat,2)
  t=t+part(mat(:,k),1:L(k)+1) ;
end
write(out,t,'(a)')
