function [lresult]=lad_d()

// PURPOSE: An example using lad(),
// least-absolute deviations estimation
//---------------------------------------------------

nobs = 100;
nvar = 5;
b = ones(nvar,1);
// 
rand('state',0,'n');
// 
xmat = rand(nobs,nvar-1,'n');
// 
exo = [ones(nobs,1),xmat];
evec = rand(nobs,1,'n').^4;
// create leptokurtic errors
// 
endo = exo*b+evec;
// 
// 
// do ols regression
 
rols = ols('endo','exo');
// do the doornik-hansen normality test to check the 
// non-nomrality of residuals
doornhans(rols)
 
// do lad regression
 
lresult = lad('endo','exo');
