function []=olst_d()

// PURPOSE: An example using olst(),
// ols with t-distributed errors estimation

nobs = 100;
nvar = 5;
b = ones(nvar,1);
// 
rand('state',0,'n');
// 
xmat = rand(nobs,nvar-1,'n');
// 
exo = [ones(nobs,1),xmat];
 
evec = tdis_rnd(nobs,2)*.5;
// generate t-distributed errors
// 
endo = exo*b+evec;
// 
// 
// do ols regression
 
result = ols('endo','exo');

// do robust t-distributed errors regression
 
lresult = olst('endo','exo','maxit=1000','crit=.0001');
