function %ts_p(ts)

// PURPOSE: provide a 
// ------------------------------------------------------------
// INPUT:
// * n timeseries or names of timeseries (between quotes)
// OUPTUT:
// * nothing
// ------------------------------------------------------------
// NOTES:
// * time series are printed four by four; if they are supplied
// between quotes, then they are printed under their name; if 
// not, they are printed under the name 'series i'
// * provided that the final object is a ts, formulas are
// authorized in any input argument
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002


if typeof(ts) ~= 'ts' then
   error('entry is not a timeseries')
end

s=ts('series')
ts2print=[num2date(ts('dates'),ts('freq')) string(s)]
fna=find(isnan(s))
if  fna~= [] then
   ts2print(find(isnan(s)),2)='Nan'
end
printmat(ts2print,%io(2))
