function fq=date2fq(dat)

// PURPOSE: return the frequency of a date
// ------------------------------------------------------------
// INPUT:
// dat = a date string
// ------------------------------------------------------------
// OUTPUT: 
// fq = an integer (the frequency of the date)
// ------------------------------------------------------------
// NOTE: must be extended if one wants to introduce new 
// default frequency
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002


ia=strindex(dat,'a')
if length(ia) ~= 0 then
   fq=1
else
   iq=strindex(dat,'q')
   if length(iq) ~= 0 then
      fq=4
   else
      im=strindex(dat,'m')
      if length(im) ~= 0 then
         fq=12
      else
         indf=strindex(dat,'f')
         if length(indf) ~= 0 then 
            fq=evstr(part(dat,indf+1:strindex(dat,'d')))
         else
            fq=1
            warning('type of dat is constant, so dat is assumed to be ... 
                 a year date')
         end
      end
   end
end
