function num=date2num(dat)

// PURPOSE: return the numerical representation of a date
// ------------------------------------------------------------
// INPUT:
// dat = a date string
// ------------------------------------------------------------
// OUTPUT: 
// num = the numerical representation of the dates
// ------------------------------------------------------------
// NOTES: must be extended if one wants to introduce a new 
// default frequency
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

ia=strindex(dat,'a')
if length(ia) ~= 0 then
   num=evstr(part(dat,1:ia-1))
end

iq=strindex(dat,'q')
if length(iq) ~= 0 then
   num=evstr(part(dat,1:iq-1))*4+evstr(part(dat,iq+1))
end

im=strindex(dat,'m')
if length(im) ~= 0 then
   num=evstr(part(dat,1:im-1))*12+evstr(part(dat,im+1:length(dat)))
end

indf=strindex(dat,'f')
if length(indf) ~= 0 then 
   num=evstr(part(dat,1:indf-1))*12+evstr(part(dat,strindex(date,'d')+1:length(date)))
end
