function [results,resirf]=var_d2()
// PURPOSE: An example of using var to estimate a
//           vector autoregressive model 
// 
 
load('SCI/macros/grocer/db/euro.dat')

bounds('1981q1','1997q2')
results=var(4,'endo=[txpib; txinfl ;txc]')

// a calculation with orthogonized resiudals and asymptotic confidence band

[resirf]=irf(results,10,'mres=chol1','meth=asym')

//pltirf(resirf)

//disp('type return if you want to see the next simulation')
//pause

// a calculation with original resiudals and Monte-Carlo confidence band
//[resirf]=irf(results,10,'mres=original','meth=mc1','niter=1000')

//pltirf(resirf)
//disp('type return if you want to see the next simulation')
//pause
// a calculation with 1-sigma orthogoized residuals and Monte-Carlo confidence band
//[resirf]=irf(results,10,'mres=chol2','meth=mc1','niter=1000')
//pltirf(resirf)

//bounds('1961q2','1978q4')
//results=det_order(4,'aic','endo=[delts(log(rfa_inv));delts(log(rfa_inc));delts(log(rfa_cons))]')
//results=det_order(4,'bic','endo=[delts(log(rfa_inv)) delts(log(rfa_inc)) delts(log(rfa_cons))]')
//results=det_order(4,'hq','endo=[delts(log(rfa_inv)) delts(log(rfa_inc)) delts(log(rfa_cons))]')


