.TH explosys 1 "" "GROCER" "MULTI Function"
.SH NAME
explosys - Transformation of sur equations
.SH CALLING SEQUENCE
.nf
[x,y,boundsvarb,prests,listcoef,namey,ncoefeqs]=
explosys(namecoef,specara,speccarb,arg1,...,argn)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

namecoef = column vector of coefficients name
.TP5
speccara = column vector of characters that must be
found after the name of a coefficient 
.TP5
speccarb = column vector of characters that must be
found before the name of a coefficient
.TP5
argi = an equation containing the coefficients named in namecoef 
.SH OUTPUT:
.TP5
x = (nobs x k) matrix of exogenous variables in the complete model
.TP5
y = (nobs x 1) vector of endogenous variables in the complete model
.TP5
boundsvarb = bounds (if any) of the regression
.TP5
prests = a boolean indicating the presence or absence of ts in the regressions
.TP5
listcoef = list of indexes of the coefficients in each equation
.TP5
namey = column vector of the names of the endogenous variables
.TP5
ncoefeqs = column vector of the # of coefficients in each equation
.SH DESCRIPTION
From a series of equations retrieve the matrix of 
exogenous variables, taking into acount the constraints (if
any) imposed on the coefficients; the equations must be
linear in the coefficients
.SH EXAMPLE
.nf
[x,y,grocer_boundsvarb,grocer_prests,listcoef,namey,ncoefeqs]=...
explosys(grocer_namecoef,grocer_speccara,grocer_speccarb,varargin(:))

This example is taken from sur.

.fi
.SH AUTHOR
Eric Dubois 2002
